diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/first.py ns-3.43/examples/tutorial/first.py
--- ns-3.42/examples/tutorial/first.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/first.py	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 
 try:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/fourth.cc ns-3.43/examples/tutorial/fourth.cc
--- ns-3.42/examples/tutorial/fourth.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/fourth.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/object.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/hello-simulator.cc ns-3.43/examples/tutorial/hello-simulator.cc
--- ns-3.42/examples/tutorial/hello-simulator.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/hello-simulator.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/second.cc ns-3.43/examples/tutorial/second.cc
--- ns-3.42/examples/tutorial/second.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/second.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/applications-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/second.py ns-3.43/examples/tutorial/second.py
--- ns-3.42/examples/tutorial/second.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/second.py	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Ported to Python by Mohit P. Tahiliani
 #
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/seventh.cc ns-3.43/examples/tutorial/seventh.cc
--- ns-3.42/examples/tutorial/seventh.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/seventh.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tutorial-app.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/sixth.cc ns-3.43/examples/tutorial/sixth.cc
--- ns-3.42/examples/tutorial/sixth.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/sixth.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tutorial-app.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/third.cc ns-3.43/examples/tutorial/third.cc
--- ns-3.42/examples/tutorial/third.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/third.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/applications-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/third.py ns-3.43/examples/tutorial/third.py
--- ns-3.42/examples/tutorial/third.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/third.py	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Ported to Python by Mohit P. Tahiliani
 #
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/tutorial-app.cc ns-3.43/examples/tutorial/tutorial-app.cc
--- ns-3.42/examples/tutorial/tutorial-app.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/tutorial-app.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tutorial-app.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tutorial/tutorial-app.h ns-3.43/examples/tutorial/tutorial-app.h
--- ns-3.42/examples/tutorial/tutorial-app.h	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tutorial/tutorial-app.h	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef TUTORIAL_APP_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/udp/udp-echo.cc ns-3.43/examples/udp/udp-echo.cc
--- ns-3.42/examples/udp/udp-echo.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/udp/udp-echo.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/udp-client-server/udp-client-server.cc ns-3.43/examples/udp-client-server/udp-client-server.cc
--- ns-3.42/examples/udp-client-server/udp-client-server.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/udp-client-server/udp-client-server.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/udp-client-server/udp-trace-client-server.cc ns-3.43/examples/udp-client-server/udp-trace-client-server.cc
--- ns-3.42/examples/udp-client-server/udp-trace-client-server.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/udp-client-server/udp-trace-client-server.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/examples-to-run.py ns-3.43/examples/wireless/examples-to-run.py
--- ns-3.42/examples/wireless/examples-to-run.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/examples-to-run.py	2024-10-09 16:41:09.840655800 -0700
@@ -85,12 +85,17 @@
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2s --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=620",
+        "wifi-vht-network --simulationTime=0.2s --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=620",
         "True",
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2s --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=557",
+        "wifi-vht-network --simulationTime=0.2s --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=557",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-vht-network --simulationTime=0.2s --useRts=0 --use80Plus80=1 --minExpectedThroughput=5 --maxExpectedThroughput=620",
         "True",
         "True",
     ),
@@ -100,6 +105,11 @@
         "True",
     ),
     (
+        "wifi-he-network --simulationTime=0.25s --frequency=5 --useRts=0 --use80Plus80=1 --minExpectedThroughput=6 --maxExpectedThroughput=844",
+        "True",
+        "True",
+    ),
+    (
         "wifi-he-network --simulationTime=0.3s --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033",
         "True",
         "True",
@@ -145,6 +155,11 @@
         "True",
     ),
     (
+        "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=0 --use80Plus80=1 --minExpectedThroughput=6 --maxExpectedThroughput=760",
+        "True",
+        "True",
+    ),
+    (
         "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=0 --mpduBufferSize=1024 --frequency2=6 --minExpectedThroughput=7 --maxExpectedThroughput=1444",
         "True",
         "True",
@@ -165,7 +180,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.23s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=5 --frequency2=6  --minExpectedThroughput=35 --maxExpectedThroughput=404",
+        "wifi-eht-network --simulationTime=0.23s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --frequency2=6  --minExpectedThroughput=60 --maxExpectedThroughput=430",
         "True",
         "True",
     ),
@@ -180,7 +195,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=7 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=70 --maxExpectedThroughput=550",
+        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550",
         "True",
         "True",
     ),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/mixed-wired-wireless.cc ns-3.43/examples/wireless/mixed-wired-wireless.cc
--- ns-3.42/examples/wireless/mixed-wired-wireless.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/mixed-wired-wireless.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/mixed-wired-wireless.py ns-3.43/examples/wireless/mixed-wired-wireless.py
--- ns-3.42/examples/wireless/mixed-wired-wireless.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/mixed-wired-wireless.py	2024-10-09 16:41:09.840655800 -0700
@@ -1,17 +1,5 @@
 # /*
-#  * This program is free software; you can redistribute it and/or modify
-#  * it under the terms of the GNU General Public License version 2 as
-#  * published by the Free Software Foundation;
-#  *
-#  * This program is distributed in the hope that it will be useful,
-#  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  * GNU General Public License for more details.
-#  *
-#  * You should have received a copy of the GNU General Public License
-#  * along with this program; if not, write to the Free Software
-#  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#  *
+#  * SPDX-License-Identifier: GPL-2.0-only
 #  */
 
 #
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-80211e-txop.cc ns-3.43/examples/wireless/wifi-80211e-txop.cc
--- ns-3.42/examples/wireless/wifi-80211e-txop.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-80211e-txop.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Sébastien Deronne
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -96,7 +85,7 @@
 {
     uint32_t payloadSize{1472}; // bytes
     Time simulationTime{"10s"};
-    double distance{5}; // meters
+    meter_u distance{5};
     bool enablePcap{false};
     bool verifyResults{false}; // used for regression
     Time txopLimit{"4096us"};
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-80211n-mimo.cc ns-3.43/examples/wireless/wifi-80211n-mimo.cc
--- ns-3.42/examples/wireless/wifi-80211n-mimo.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-80211n-mimo.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -216,7 +205,7 @@
             /* Setting applications */
             const auto maxLoad = HtPhy::GetDataRate(i,
                                                     channelBonding ? 40 : 20,
-                                                    shortGuardInterval ? 400 : 800,
+                                                    NanoSeconds(shortGuardInterval ? 400 : 800),
                                                     nStreams);
             ApplicationContainer serverApp;
             if (udp)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-adhoc.cc ns-3.43/examples/wireless/wifi-adhoc.cc
--- ns-3.42/examples/wireless/wifi-adhoc.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-adhoc.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-aggregation.cc ns-3.43/examples/wireless/wifi-aggregation.cc
--- ns-3.42/examples/wireless/wifi-aggregation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-aggregation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Sébastien Deronne
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -84,7 +73,7 @@
 {
     uint32_t payloadSize{1472}; // bytes
     Time simulationTime{"10s"};
-    double distance{5}; // meters
+    meter_u distance{5};
     bool enableRts{false};
     bool enablePcap{false};
     bool verifyResults{false}; // used for regression
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ap.cc ns-3.43/examples/wireless/wifi-ap.cc
--- ns-3.42/examples/wireless/wifi-ap.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ap.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ap.py ns-3.43/examples/wireless/wifi-ap.py
--- ns-3.42/examples/wireless/wifi-ap.py	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ap.py	2024-10-09 16:41:09.840655800 -0700
@@ -3,18 +3,7 @@
 #  * Copyright (c) 2005,2006,2007 INRIA
 #  * Copyright (c) 2009 INESC Porto
 #  *
-#  * This program is free software; you can redistribute it and/or modify
-#  * it under the terms of the GNU General Public License version 2 as
-#  * published by the Free Software Foundation;
-#  *
-#  * This program is distributed in the hope that it will be useful,
-#  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  * GNU General Public License for more details.
-#  *
-#  * You should have received a copy of the GNU General Public License
-#  * along with this program; if not, write to the Free Software
-#  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#  * SPDX-License-Identifier: GPL-2.0-only
 #  *
 #  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
 #  *          Gustavo Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-backward-compatibility.cc ns-3.43/examples/wireless/wifi-backward-compatibility.cc
--- ns-3.42/examples/wireless/wifi-backward-compatibility.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-backward-compatibility.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,22 +1,12 @@
 /*
  * Copyright (c) 2017
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
 
+#include "ns3/attribute-container.h"
 #include "ns3/boolean.h"
 #include "ns3/command-line.h"
 #include "ns3/config.h"
@@ -150,7 +140,10 @@
     WifiMacHelper mac;
     WifiHelper wifi;
     Ssid ssid = Ssid("ns3");
-    TupleValue<UintegerValue, UintegerValue, EnumValue<WifiPhyBand>, UintegerValue> channelValue;
+    AttributeContainerValue<
+        TupleValue<UintegerValue, UintegerValue, EnumValue<WifiPhyBand>, UintegerValue>,
+        ';'>
+        channelValue;
 
     const auto& [staStandard, staBand] = ConvertStringToStandardAndBand(staVersion);
     wifi.SetStandard(staStandard);
@@ -160,7 +153,7 @@
 
     // Workaround needed as long as we do not fully support channel bonding
     uint16_t width = (staVersion == "80211ac" ? 20 : 0);
-    channelValue.Set(WifiPhy::ChannelTuple{0, width, staBand, 0});
+    channelValue.Set(WifiPhy::ChannelSegments{{0, width, staBand, 0}});
     phy.Set("ChannelSettings", channelValue);
 
     NetDeviceContainer staDevice;
@@ -174,7 +167,7 @@
 
     // Workaround needed as long as we do not fully support channel bonding
     width = (apVersion == "80211ac" ? 20 : 0);
-    channelValue.Set(WifiPhy::ChannelTuple{0, width, apBand, 0});
+    channelValue.Set(WifiPhy::ChannelSegments{{0, width, apBand, 0}});
     phy.Set("ChannelSettings", channelValue);
 
     NetDeviceContainer apDevice;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-blockack.cc ns-3.43/examples/wireless/wifi-blockack.cc
--- ns-3.42/examples/wireless/wifi-blockack.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-blockack.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 MIRKO BANCHI
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mirko Banchi <mk.banchi@gmail.com>
  */
